﻿using MapFinder.Data;
using MapFinder.Utility;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MapFinder
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

        }

        private void btnFind_Click(object sender, RoutedEventArgs e)
        {
            List<FoundLocale> localeList = KakaoAPI.Search(tbQuery.Text);
            lbxFound.ItemsSource = localeList;
        }

        private void lbxFound_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (lbxFound.SelectedIndex == -1)
                return;

            FoundLocale selected = lbxFound.SelectedItem as FoundLocale;
            if (selected == null)
                return;

            Uri uri = new Uri($"https://map.kakao.com/link/map/{selected.Name},{selected.Lat},{selected.Lng}");
            wbMain.Source = uri;
        }
    }
}
